Description

This will be the basic approach for converting LTER DOIs. This will happen after both servers are upgraded to Metacat 2.0.0 from

Metacat 1.9.5.

1. KNB admin will provide '/tmp/knb_identifier.csv' file to be used by SQL script (LTER_DOI_conversion.sql)

2. '/tmp/knb_identifier.csv' will be transfered to LTER server (scp or email to LTER admin - TBD)

3. LTER admin will run 'src/LTER_DOI_conversion.sql' (e.g., 

https://code.ecoinformatics.org/code/metacat/trunk/src/LTER_DOI_conversion.sql) to update to the correct DOIs

History

#1 - 2012-06-20 20:44 - Ben Leinfelder

tried to attach "knb_identifier.csv" file for use in production, but it could not be uploaded. Will transfer some other way

#2 - 2012-07-06 01:52 - Mark Servilla

- Status changed from New to In Progress

- % Done changed from 0 to 10

I have reviewed the outlined approach, understand (mostly) the rationale and need for this conversion/update, and reviewed and understand the

corresponding SQL script for performing the conversion/update.  Awaiting instructions for when to execute this conversion process.

#3 - 2012-08-16 21:27 - Ben Leinfelder

Just wanted to follow up on this and see if it had been done. It can be performed anytime since we are not adding any more DOIs for existing content

and this should only affect DOIs LTER has for replicas it houses for KNB and PISCO. I sent the .csv file back in July, but can resend if needed.

Thanks!

#4 - 2012-08-17 01:20 - Mark Servilla

No, this task is still incomplete - sorry.  As mentioned in the previous comment, "Awaiting instructions for when to execute this conversion process". 

Given all other tasks DataONE programmers were performing at the time of the previous comment, I did not know if this step should be performed.  If

it is appropriate, I will move forward and complete this task.

#5 - 2012-08-17 16:22 - Mark Servilla

- Status changed from In Progress to Closed

- % Done changed from 10 to 100

Task is now complete.
